#!/usr/bin/python

from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers
from charmhelpers.core.services.base import ServiceManager

import actions


def manage():
    config = hookenv.config()
    manager = ServiceManager([
        {
            'service': 'adt-cloud-service',
            'provided_data': [actions.WebsiteRelation()],
            'required_data': [config],
            'data_ready': [
                actions.basenode,
                actions.install_packages,
                actions.get_cloud_service_from_tarball,
                actions.install_python_packages,
                actions.get_config_file,
                actions.prepare_for_wsgi,
                helpers.render_template(
                    source='upstart.conf',
                    target='/etc/init/adt-cloud-service.conf'),
                actions.publish_website_relation_data,
                actions.log_start,
            ],
        },
    ])
    manager.manage()
